<form class="ui form" method="GET" action="/contacts" id="filter-form">

    <div class="ui header">
        <h3>Filter</h3>
    </div>

    <div class="field">
        <label>Contact name</label>
        <input name="contact"
               id="contact"
               placeholder="Any"
               {%if filterby.contact%}
                 value ="{{filterby.contact}}"
               {%endif%}>
        </input>
    </div>

    <div class="field">
        <label>Language</label>
        <select name="language" id="language" class="ui multiple search dropdown" multiple="">
            <option value="">Any</option>
            {%for lang in languages %}
            <option value="{{lang.id}}"
                    {%ifequal filterby.language lang.id%}selected{%endifequal%}
                    >{{lang.language}}</option>
            {%endfor%}
        </select>
    </div>

    <div class="field">
        <label>Category</label>
        <select name="category" class="ui multiple search dropdown" id="category" multiple="">
            <option value="">Any</option>
            {%for i in categories%}
            <option value="{{i.name}}" {%ifequal i.name filterby.category%}selected{%endifequal%}>{{i.name}}</option>
            {%endfor%}
        </select>
    </div>

    <div class="field">
        <label>Organization</label>
        <select name="organization" class="ui multiple search dropdown" id="organization" multiple="">
            <option value="">Any</option>
            {%for i in orgs%}
            <option value="{{i.name}}" {%ifequal i.name filterby.organization%}selected{%endifequal%}>{{i.name}}</option>
            {%endfor%}
        </select>
    </div>

    <!-- NOTE: The behavior of these buttons is defined in contacts.html
        template, Restore and Cancel are activated via JavaScript -->
    <div class="ui right floated buttons">
    <button class="ui compact left attached cancel button" type="button" id="restore-filter">
        <i class="undo icon"></i>
        Restore
    </button>

    <button class="ui compact right attached button" formaction="/contacts" formmethod="GET" name="filter" value="true" form="filter-form" type="submit">
        <i class="filter icon"></i>
        Filter
    </button>
    </div>

    <button class="ui compact button"
            id="close-filter"
            type="button"
            title="Cancel filter">
        <i class="close icon"></i>
        Cancel
    </button>
</form>
